libkylin-nm-base (4.20.0.0-ok1.2) nile; urgency=medium

  * BUG号: 无
  * 需求号：无
  * 其他改动说明: rebuild 4.20.0.0-ok1.1
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 14 Aug 2025 16:41:37 +0800


libkylin-nm-base (4.20.0.0-ok1.1) nile; urgency=medium

  * BUG号: 无
  * 需求号：无
  * 其他改动说明: rebuild 4.20.0.0-ok1k0.4
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 14 Aug 2025 16:41:37 +0800

libkylin-nm-base (4.20.0.0-ok1k0.4) v11-2603-preview; urgency=medium

  * BUG号: #369597 【硬件】【WIFI】登录界面连接企业WIFI，EAP下拉选项数量少
  * 需求号：无
  * 其他改动说明: 无
  * 其他改动影响域：无

 -- liuyuanpeng <liuyuanpeng@kylinos.cn>  Thu, 26 Jun 2025 10:43:38 +0800

libkylin-nm-base (4.20.0.0-ok1k0.3) v11-2603-preview; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明:合入oobe网络设置
  * 其他改动影响域：无

 -- jiahua xie <xiejiahua@kylinos.cn>  Wed, 30 Apr 2025 17:27:43 +0800

libkylin-nm-base (4.20.0.0-ok1k0.2) v11-2603-preview; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明:rebuild
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 30 Apr 2025 16:27:43 +0800

libkylin-nm-base (4.20.0.0-ok1k0.1) v11-2603-preview; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明:rebuild
  * 其他改动影响域：无

 -- maqiang <maqiang@kylinos.cn>  Wed, 30 Apr 2025 16:13:24 +0800

libkylin-nm-base (4.10.0.0-ok1k0.5) v11-2503; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明:合规性整改
  * 其他改动影响域：无

 -- maqiang <maqiang@kylinos.cn>  Tue, 25 Mar 2025 13:53:43 +0800

libkylin-nm-base (4.10.0.0-ok1k0.4) v11-2503; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明: 单元测试重传,合规性整改
  * 其他改动影响域：无

 -- maqiang <maqiang@kylinos.cn>  Thu, 13 Mar 2025 16:39:57 +0800

libkylin-nm-base (4.10.0.0-ok1k0.3) v11-2503; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明: sonar问题整改
  * 其他改动影响域：重新编译

 -- maqiang <maqiang@kylinos.cn>  Sat, 08 Feb 2025 15:16:24 +0800

libkylin-nm-base (4.10.0.0-ok1k0.2) v11-2503; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明: 单元测试合入
  * 其他改动影响域：无

 -- maqiang <maqiang@kylinos.cn>  Thu, 23 Jan 2025 19:32:33 +0800

libkylin-nm-base (4.10.0.0-ok1k0.1) v11-2503; urgency=medium

  * BUG号:无
  * 需求号：无
  * 其他改动说明：rebuild 4.10.0.0-ok1
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 07 Jan 2025 20:05:34 +0800

libkylin-nm-base (4.10.0.0-ok1) nile; urgency=medium

  * BUG号: 
  * 需求号：
  * 其他改动说明：主线代码合并 
  * 其他改动影响域：4.10.0.0版本

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Thu, 19 Oct 2023 10:35:27 +0800

libkylin-nm-base (3.24.0.0-0k0.5) v101; urgency=medium

  * BUG号: #167348 优化了登录界面的启动速度
  * 需求号：无
  * 其他改动说明：优化了网络插件图标加载速度
  * 其他改动影响域：网络插件图标、登录和锁屏

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Fri, 15 Sep 2023 16:06:08 +0800

libkylin-nm-base (3.24.0.0-0k0.4) v101; urgency=medium

  * No-change rebuild for sw64.

 -- luoyaoming <luoyaoming@zhaoshixu.kylinos.cn>  Fri, 15 Sep 2023 16:05:13 +0800

libkylin-nm-base (3.24.0.0-0k0.3) v101; urgency=medium

  * BUG号: #186649 【外设互认证】【V10SP1 2309】【无线网卡】重启系统，在登录界面，插拔无线网卡，登录界面黑屏，只能重启；
  * 需求号：无
  * 其他改动：无
  * 影响域：无

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Fri, 11 Aug 2023 17:39:06 +0800

libkylin-nm-base (3.24.0.0-0k0.2) v101; urgency=medium

  * BUG号: #174586 【模块单元测试】【锁屏】点击WIFI密码输入框用虚拟键盘输入时光标会消失自动转移到系统密码输入框
  * 需求号：无
  * 其他改动：无
  * 影响域：无

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Tue, 08 Aug 2023 16:51:04 +0800

libkylin-nm-base (3.24.0.0-0k0.1) v101; urgency=medium

  * BUG号: #176431 【走查】锁屏网络与托盘网络交互形式不一致
           #180185 【登录】登录界面，网络无悬浮提示
  * 需求号：无
  * 其他改动：无
  * 影响域：网络图标悬浮提示、无线开关

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 07 Jul 2023 16:34:53 +0800

libkylin-nm-base (3.20.0.9-0k0.4) v101; urgency=medium

  * BUG号:#169457 【设计】锁屏界面网络状态与桌面网络状态不一致
  * 需求号：无
  * 其他改动：无
  * 影响域：无线开关

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Tue, 09 May 2023 14:48:05 +0800

libkylin-nm-base (3.20.0.9-0k0.3) v101; urgency=medium

  * BUG号:#157529 【网络】【登录】没有插网线的情况下，登录界面的有线按钮是打开的
  * 需求号：无
  * 其他改动：无
  * 影响域：网卡插拔

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Wed, 08 Feb 2023 14:39:14 +0800

libkylin-nm-base (3.20.0.9-0k0.2) v101; urgency=medium

  * BUG号:#150425 【设计】【登录锁屏】登录锁屏界面网络激活输入框后重新打开不会恢复默认
  * 需求号：无
  * 其他改动：无
  * 影响域：登录/锁屏界面网络弹出收起

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Thu, 01 Dec 2022 10:02:36 +0800

libkylin-nm-base (3.20.0.9-0k0.1) v101; urgency=medium

  * 修改为quilt格式

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Wed, 30 Nov 2022 14:53:19 +0800

libkylin-nm-base (3.20.0.9) v101; urgency=medium

  * BUG号:#144103 【锁屏】连接好有线网络，进入锁屏页面，显示网络未连接
  * 需求号：无
  * 其他改动：无
  * 影响域：登录/锁屏界面网络图标 

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Fri, 21 Oct 2022 11:33:43 +0800

libkylin-nm-base (3.20.0.8) v101; urgency=medium

  * BUG号:#100325  在系统内关闭有线网络的开关后，注销到登录界面，有线网络仍然可以连接
  * 需求号：无
  * 其他改动：无
  * 影响域：登录界面有线开关

 -- 赵世旭 <zhaoshixu@kylinos.cn>  Thu, 22 Sep 2022 09:49:25 +0800

libkylin-nm-base (3.20.0.7) v101; urgency=medium

  * BUG号: #113194 【登录选项】登录界面上网络界面，中英文界面切换异常
  * 需求号:无
  * 其他改动:无
  * 影响域：翻译

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Thu, 08 Sep 2022 10:01:36 +0800

libkylin-nm-base (3.20.0.6) v101; urgency=medium

  * BUG号: #137313 【藏文】【登录】【锁屏】登录锁屏中网络连接部分未完全藏化
  * 需求号:无
  * 其他改动:无
  * 影响域：密码错误弹窗藏文适配

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Fri, 26 Aug 2022 11:02:23 +0800

libkylin-nm-base (3.20.0.5) v101; urgency=medium

  * BUG号: #135530 【OOBE/登录/锁屏】【无线网络】无法加入wpa3类型的无线网络
  * 需求号:无
  * 其他改动:无
  * 影响域:登录锁屏网络--加入网络wpa3

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Mon, 15 Aug 2022 10:22:03 +0800

libkylin-nm-base (3.20.0.4) v101; urgency=medium

  * BUG号:无
  * 需求号:无
  * 其他改动:解决loongarch64编译报错
  * 影响域:无

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Mon, 15 Aug 2022 09:52:53 +0800

libkylin-nm-base (3.20.0.3) v101; urgency=medium

  * BUG号:无
  * 需求号:无
  * 其他改动:#90677 网络插件化 sdk开发
  * 影响域:登录锁屏网络界面

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Wed, 03 Aug 2022 09:29:03 +0800

libkylin-nm-base (3.20.0.2) v101; urgency=medium

  * 低版本libkysdk-qtwidgets缺少setEchoModeBtnVisible方法

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Tue, 05 Jul 2022 16:59:52 +0800

libkylin-nm-base (3.20.0.1) v101; urgency=medium

  * add libkysdk-qtwidgets-dev build-depends.

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Tue, 05 Jul 2022 16:20:02 +0800

libkylin-nm-base (3.20.0.0) v101; urgency=medium

  * Init project.

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Wed, 08 Jun 2022 10:00:53 +0800

